/*************************************************************************\
*   				Xcard 1.2				  *
*									  *
* Copyright 1991, Kenneth C. Nelson			 	          *
*									  *
* Rights       : I, Ken Nelson own Xcard.  You may compile, modify, and   *
*                use Xcard.  You may not sell Xcard or anything derived   *
*		 from Xcard in binary or source for more than reasonable  *
*                media costs.                                             *
*                                                                         *
*		 Xcard uses a dynamic object library	   	          *
*		 that I don't own.  See the subdirectory dynobj for  	  *
*		 restrictions on its use.				  *
*								          *
*                Please feel free to modify Xcard. See Todo for details.  *
*									  *
\*************************************************************************/


/*
 * cards.h   - provides external definitions of types and routines
 *	       for a cardfile.
 *
 */


#ifndef CARDS_DEFINED

#  define CARDS_DEFINED 1


#define MAX_NUM_CARDS 10000

#define MAX_CARD_SIZE 10000
#define MAX_CARD_LINE 255

#define NEW_FILE   100
#define MERGE_FILE 200


#define ASCENDING  100
#define DESCENDING 200

#define APPEND 100
#define INSERT 200


#ifndef TRUE
# define TRUE 1
#endif

#ifndef FALSE
# define FALSE 0
#endif


#define EMPTY_STRING ""

#define NEXTCARD  -1
#define PREVCARD  -2
#define FIRSTCARD -3
#define LASTCARD  -4


/*
 * Define what a card is.
 *
 */

typedef struct Card
{
  char *header;
  char *body;  
  int  deleted;

} Card;



extern void	clearCardFile();
extern int	saveCardFile();
extern int	loadCardFile();
extern int	sortCardFile();
extern int	cardFileIsOpen();

extern int      numCardsInCardFile();

extern char	*cardFileName();
extern char	*cardFileTitle();
extern void     setCardFileTitle();


extern char	*cardFileTemplate();
extern void     setCardFileTemplate();

extern char	*aboutCardFile();
extern void     setCardFileAbout();


extern int	setCurrentCard();
extern int	currentCard();
extern char     *headerCurrentCard();
extern char	*bodyCurrentCard();

extern void     setHeaderCurrentCard();
extern void     setBodyCurrentCard();

extern int	rmCurrentCard();

extern int	addCard();


#endif CARDS_DEFINED


